<template>
  <div class="cars" id="cars">
    <h2 class="cars__title">Объявления</h2>
    <ul class="cars__list">
      <li class="cars__card card" v-for="car in cars" :key="car.id">
        <router-link
          class="card__link"
          :to="{ path: '/cars/' + car.id }"
          append
        >
          <h3 class="card__title">{{ car.title }}</h3>
          <div class="card__properties">
            <img :src="car.photo" alt="Фото автомобиля" class="card__img" />
            <ul class="card__properties-list">
              <li class="card__text">Цена: {{ car.cost }}</li>
              <li class="card__text">Марка: {{ car.brand_name[0]['name'] }}</li>
              <li class="card__text">Модель: {{ car.model_name[0]['name'] }}</li>
              <li class="card__text">Лошадиных сил: {{ car.engine_volume }}</li>
              <li class="card__text">Год выпуска: {{ car.year_of_issue }}</li>
              <li class="card__text">Цвет: {{ car.color }}</li>
              <!-- <li class="card__text">Владелец: {{ car.user_name }}</li>
              <li class="card__text">Телефон: {{ car.phone_number }}</li> -->
            </ul>
          </div>
          <p class="card__description">{{ car.description }}</p>
        </router-link>
      </li>
    </ul>
  </div>
</template>

<script>
import Vue from "vue";
import axios from "axios";
import VueAxios from "vue-axios";
Vue.use(VueAxios, axios);
export default {
  name: "CarsPage",
  data() {
    return {
      cars: [],
    };
  },
  methods: {
    GetCars: function () {
      let api = "http://127.0.0.1:8000/api/Cars/";
      axios({
        method: "get",
        url: api,
      })
        .then((response) => {
          this.cars = response.data;
        })
        .catch((response) => {
          console.log(response);
        });
    },
  },
  mounted() {
    this.GetCars();
  },
};
</script>

<style scoped lang="scss">
$header-and-footer-background: #006d77;
$main-background: #caf0f8;
$card-background: #edf6f9;
$text: #000000;
$button: #ffc300;
$button-hover: #ffd60a;
$button-text: #006d77;
$border: #000000;

// .cars {
//   min-height: 70vh;
// }

.cars__title {
  margin: 20px 0;
  text-align: center;
}

.cars__list {
  padding: 0;
  min-height: 70vh;
  list-style: none;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}

.card {
  max-width: 570px;
  min-height: 300px;
  border: 3px solid $border;
  border-radius: 20px;
  padding: 10px;
  margin: 20px 0;
  background-color: $card-background;
}

.card__link {
  text-decoration: none;
  color: $text;
}

.card__title {
  margin-bottom: 30px;
  text-align: center;
}

.card__properties {
  display: flex;
  justify-content: space-around;
  align-items: center;
  flex-wrap: wrap;
}

.card__img {
  max-width: 270px;
}

.card__properties-list {
  list-style: none;
}

.card__text {
  margin: 20px;
}

.card__description {
  margin: 10px 0 10px 25px;
}
</style>